Subject: Re: [PATCH net-next] vlan: Fix lockdep warning when vlan dev handle notification

From: Ding Tianhong <[email-masked]>
Date: Mon, 10 Mar 2014 10:08:35 +0800

On 2014/3/7 14:49, David Miller wrote:
> From: Ding Tianhong <[email-masked]>
> Date: Fri, 7 Mar 2014 09:55:25 +0800
> 
>> But I think if I vconfig add eth2.20.30 50, the warning would happen
>> again, but till now I could not find any scene that use 3 vlan id on
>> a virtual device, so I think it is not a problem.
> 
> My example was to show that you aren't really fixing the bug, but
> rather are papering over it.
> 
> In that sense, it is a problem.
> 
> I also happen to disagree with your assertion that a 3 layered
> VLAN is invalid, it is valid.  And if we allow the configuration
> it shouldn't throw locking assertions.
> 
> 
OK, thanks for your advise. I would think and solve this problem once-again.

Regards
Ding